Anonymous Login
2019-02-19 04:34 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001666v3.4 Release (Current)Projectspublic2019-01-03 12:53
Reporterkaissa 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001666: authentification ldap failed
DescriptionI have configured wen2preject to use ldap authentification, but once a user tries to entifier it falls into error.

after consulted the apache log, The call to the function "userId()" is not done correctly in a file:
classes/w2p/Core/CAppUI.class.php

 
 789 $user_id = $auth->userId();
 790 $username = $auth->username; // Some authentication schemes may collect username in various ways.
 791 // Now that the password has been checked, see if they are allowed to

I have do this correction:

 $user_id = $auth->userId($username);

 it works !!!




TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003798

caseydk (administrator)

Fixed in development:

https://github.com/web2project/web2project/commit/edd1adc22e6f8abb0fcf6d83133f8396ec04be52

~0003942

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2015-08-13 08:51 kaissa New Issue
2016-12-26 23:34 caseydk Project v3.3 Release => v3.4 Release (Current)
2016-12-28 00:15 caseydk Assigned To => caseydk
2016-12-28 00:15 caseydk Status new => resolved
2016-12-28 00:15 caseydk Resolution open => fixed
2016-12-28 00:15 caseydk Note Added: 0003798
2019-01-03 12:53 caseydk Note Added: 0003942
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History